Bug 1992731 (CVE-2021-38201) - CVE-2021-38201 kernel: slab-out-of-bounds access in xdr_set_page_base() in net/sunrpc/xdr.c
Summary: CVE-2021-38201 kernel: slab-out-of-bounds access in xdr_set_page_base() in ne...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-38201
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1969751 1990404 1992733 1993255 1993256 1993257
Blocks: 1992735
TreeView+ depends on / blocked
 
Reported: 2021-08-11 16:42 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-05-12 21:19 UTC (History)
42 users (show)

Fixed In Version: Linux kernel 5.14-rc1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel that allows remote attackers to cause a denial of service (xdr_set_page_base slab-out-of-bounds access) by performing many NFS 4.2 READ_PLUS operations. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-09-07 20:33:29 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3440 0 None None None 2021-09-07 14:43:44 UTC
Red Hat Product Errata RHSA-2021:3447 0 None None None 2021-09-07 18:00:33 UTC

Description Guilherme de Almeida Suckevicz 2021-08-11 16:42:15 UTC
net/sunrpc/xdr.c in the Linux kernel before 5.13.4 allows remote attackers to cause a denial of service (xdr_set_page_base slab-out-of-bounds access) by performing many NFS 4.2 READ_PLUS operations.

Reference and upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=6d1c0f3d28f98ea2736128ed3e46821496dc3a8c

Comment 1 Guilherme de Almeida Suckevicz 2021-08-11 16:42:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1992733]

Comment 2 Justin M. Forbes 2021-08-11 22:12:45 UTC
This was fixed for Fedora with the 5.13.4 stable kernel updates.

Comment 6 juneau 2021-08-12 16:36:00 UTC
Hosted OpenShift v3.x unaffected. v4.x, quay-io affected/delegated.

Comment 8 errata-xmlrpc 2021-09-07 14:43:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3440 https://access.redhat.com/errata/RHSA-2021:3440

Comment 9 errata-xmlrpc 2021-09-07 18:00:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3447 https://access.redhat.com/errata/RHSA-2021:3447

Comment 10 Product Security DevOps Team 2021-09-07 20:33:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-38201


Note You need to log in before you can comment on or make changes to this bug.